<?php get_header();?>
<div id="mainwrap">
<?php get_sidebar();?>
	<div id="content">
      	      	<?php if (have_posts()) : ?>
         	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h1>Archive for the <?php single_cat_title(); ?> Category</h1>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h1>Posts Tagged <?php single_tag_title(); ?></h1>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h1>Archive for <?php the_time('F jS, Y'); ?></h1>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h1>Archive for <?php the_time('F Y'); ?></h1>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h1>Archive for <?php the_time('Y'); ?></h1>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h1>Author Archive</h1>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h1>Blog Archives</h1>
 	  <?php } ?>
		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
            	<small><?php the_time('m.j.Y') ?></small>
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<div class="entry">
					<?php the_excerpt(); ?>
				</div>
				<div class="postmetadata">
					<img src="<?php bloginfo('stylesheet_directory'); ?>/images/tags.png" alt="tags" />
					<?php the_tags(); ?> 
					<br />
					<img src="<?php bloginfo('stylesheet_directory'); ?>/images/categories.png" alt="category" /> <?php the_category(', ') ?>
                   <img src="<?php bloginfo('stylesheet_directory'); ?>/images/author.png" alt="author" /> <?php the_author() ?> 
                   <img src="<?php bloginfo('stylesheet_directory'); ?>/images/comments.png" alt="comments" /> <?php comments_popup_link('0', '1', '% '); ?>
                    <?php edit_post_link(' | ', '', 'Edit'); ?>  
                </div>
              <?php comments_template(); // Get wp-comments.php template ?>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>
	</div>
<?php get_footer ();?>
