<?php get_header();?>
<div id="mainwrap">
<?php get_sidebar();?>
	<div id="content">
      	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
            	<small><?php the_time('m.j.Y') ?></small>
				<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
				<div class="entry">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
				</div>
				<div class="postmetadata">
					<img src="<?php bloginfo('stylesheet_directory'); ?>/images/tags.png" alt="tags" /> 
					<?php the_tags(); ?> 
					<br />
					<img src="<?php bloginfo('stylesheet_directory'); ?>/images/categories.png" alt="category" /> <?php the_category(', ') ?>
                   <img src="<?php bloginfo('stylesheet_directory'); ?>/images/author.png" alt="author" /> <?php the_author() ?> 
                   <?php edit_post_link(' | ', '', 'Edit'); ?>  
                </div>
              <?php comments_template(); // Get wp-comments.php template ?>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>
	</div>
<?php get_footer ();?>
