<?php get_header();?>
<div id="mainwrap">
<?php get_sidebar();?>
	<div id="content">
      	      	<?php if (have_posts()) : ?>
<h1> Search Results </h1>
		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
            	<small><?php the_time('m.j.Y') ?></small>
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<div class="entry">
					<?php the_excerpt(); ?>
				</div>
				<div class="postmetadata">
					<img src="<?php bloginfo('stylesheet_directory'); ?>/images/tags.png" alt="tags" />
					<?php the_tags(); ?> 
					<br>
					<img src="<?php bloginfo('stylesheet_directory'); ?>/images/categories.png" alt="category" /> <?php the_category(', ') ?>
                   <img src="<?php bloginfo('stylesheet_directory'); ?>/images/author.png" alt="author" /> <?php the_author() ?> 
                   <img src="<?php bloginfo('stylesheet_directory'); ?>/images/comments.png" alt="comments" /> <?php comments_popup_link('0', '1', '% '); ?>
                    <?php edit_post_link(' | ', '', 'Edit'); ?>  
                </div>
                <?php comments_template(); // Get wp-comments.php template ?>
			</div>

		<?php endwhile; ?>
<div align="center">
        <h1>Search Again?</h1>
<?php include (TEMPLATEPATH . '/searchform.php'); ?>
</div>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center">Sorry, but you are looking for something that isn't here.</p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>

	<?php endif; ?>
	</div>
<?php get_footer ();?>
